package io.zipcoder;

import java.io.*;
import java.util.*;

public class WC {
    private Iterator<String> si;
    private Map<String, Integer> list = new HashMap<String, Integer>();

    public WC(String fileName) {
        try {
            Scanner scanner = new Scanner(new FileReader(fileName));
            scanner.useDelimiter("[\\p{Punct}\\s]+");
            this.si = scanner;
        } catch (FileNotFoundException e) {
            System.out.println(fileName + " Does Not Exist");
            System.exit(-1);
        }
    }

    public WC(Iterator<String> si) {
        this.si = si;
    }

//    public static void main(String[] args) {
//        //WC wc = new WC("someTextFile.txt");
//        WC wc = new WC("DRACULA");
//        wc.scanFile();
//        wc.sort();
//    }

    public void scanFile(){
        while(si.hasNext()){
            String key = si.next().toLowerCase();
            if(list.containsKey(key)){
                list.put(key,list.get(key) + 1);
            }else{
                list.put(key, 1);
            }
        }

    }

    public void sort(){
        list.entrySet()
                .stream()
                .sorted(Map.Entry.<String, Integer>comparingByValue()
                .reversed())
                .forEach(System.out::println);
    }

}
