package io.zipcoder;

import org.junit.Assert;
import org.junit.Test;

public class ParenCheckerTest {
    ParenChecker parenChecker = new ParenChecker();

    @Test
    public void testParenFalse1(){
        String words = "This is a ( sentence.";

        boolean actual = parenChecker.parensPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testParenFalse2(){
        String words = "This is a ) sentence.";

        boolean actual = parenChecker.parensPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testParenFalse3(){
        String words = "This is a )( sentence.";

        boolean actual = parenChecker.parensPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testParenTrue1(){
        String words = "This is a () sentence.";

        boolean actual = parenChecker.parensPaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testParenTrue2(){
        String words = "This (is a) sentence.";

        boolean actual = parenChecker.parensPaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testCurlyFalse1(){
        String words = "This is a { sentence.";

        boolean actual = parenChecker.curlyPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testCurlyFalse2(){
        String words = "This is a } sentence.";

        boolean actual = parenChecker.curlyPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testCurlyFalse3(){
        String words = "This is a }{ sentence.";

        boolean actual = parenChecker.curlyPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testCurlyTrue1(){
        String words = "This is a {} sentence.";

        boolean actual = parenChecker.curlyPaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testCurlyTrue2(){
        String words = "This {is a} sentence.";

        boolean actual = parenChecker.curlyPaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testBracketFalse1(){
        String words = "This is a [ sentence.";

        boolean actual = parenChecker.bracePaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testBracketFalse2(){
        String words = "This is a ] sentence.";

        boolean actual = parenChecker.bracePaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testBracketFalse3(){
        String words = "This is a ][ sentence.";

        boolean actual = parenChecker.bracePaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testBracketTrue1(){
        String words = "This is a [] sentence.";

        boolean actual = parenChecker.bracePaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testBracketTrue2(){
        String words = "This [is a] sentence.";

        boolean actual = parenChecker.bracePaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testThingsFalse1(){
        String words = "This is a < sentence.";

        boolean actual = parenChecker.signsPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testThingsFalse2(){
        String words = "This is a > sentence.";

        boolean actual = parenChecker.signsPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testThingsFalse3(){
        String words = "This is a >< sentence.";

        boolean actual = parenChecker.signsPaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testThingsTrue1(){
        String words = "This is a <> sentence.";

        boolean actual = parenChecker.signsPaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testThingsTrue2(){
        String words = "This is a <i> sentence.";

        boolean actual = parenChecker.signsPaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testDoubleQuotesFalse(){
        String words = "This is a \"sentence.";

        boolean actual = parenChecker.doubleQuotePaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testDoubleQuotesTrue(){
        String words = "This\" is a \"sentence.";

        boolean actual = parenChecker.doubleQuotePaired(words);

        Assert.assertTrue(actual);
    }

    @Test
    public void testSingleQuotesFalse(){
        String words = "This is a \'sentence.";

        boolean actual = parenChecker.singleQuotePaired(words);

        Assert.assertFalse(actual);
    }

    @Test
    public void testSingleQuotesTrue(){
        String words = "This\' is a \'sentence.";

        boolean actual = parenChecker.singleQuotePaired(words);

        Assert.assertTrue(actual);
    }

}